Subject: Re: [bug#43443] [PATCH] gnu: Add python-pypandoc.

From: Konrad Hinsen <[email-masked]>
Date: Wed, 16 Sep 2020 16:57:47 +0200

Hi Ricardo,

Thanks for your comments!

> Should this really be the Haskell library variants?  Or just the
> executables?  If it’s just the executables you can use the “pandoc” and
> “pandoc-citeproc” packages.

Ooops, I didn't know there were distinct packages for that! The binaries
are sufficient here.

> It would be better to avoid this huge monolithic package.  Does
> texlive-tiny work?  If it doesn’t: what else does it need that could be
> added to a texlive-union?

texlive-tiny doesn't work, and after experimenting for about an hour
I have given up on finding a small combination of packages for
a texlive-union. It needs ifluatex.sty which apparently is part of
texlive-latex-oberdiek, but if I add that package the test fails
in creating a temporary directory for whatever reason.

Another shortcut is disabling the one test case that depends
on LaTeX, and thus completely remove texlive from native-inputs.
Does that sound like an acceptable solution?

Cheers,
  Konrad